summaryrefslogtreecommitdiffstats
path: root/source/n/alpine/alpine.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2012-09-26 01:10:42 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:51:55 +0200
commit9664bee729d487bcc0a0bc35859f8e13d5421c75 (patch)
treeb428a16618e36ed864a8d76ea3435e19a452bf90 /source/n/alpine/alpine.SlackBuild
parent75a4a592e5ccda30715f93563d741b83e0dcf39e (diff)
downloadcurrent-9664bee729d487bcc0a0bc35859f8e13d5421c75.tar.gz
current-9664bee729d487bcc0a0bc35859f8e13d5421c75.tar.xz
Slackware 14.0slackware-14.0
Wed Sep 26 01:10:42 UTC 2012 Slackware 14.0 x86_64 stable is released! We're perfectionists here at Slackware, so this release has been a long time a-brewing. But we think you'll agree that it was worth the wait. Slackware 14.0 combines modern components, ease of use, and flexible configuration... our "KISS" philosophy demands it. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. Thanks to everyone who helped make this happen. The Slackware team, the upstream developers, and (of course) the awesome Slackware user community. Have fun! :-)
Diffstat (limited to 'source/n/alpine/alpine.SlackBuild')
-rwxr-xr-xsource/n/alpine/alpine.SlackBuild28
1 files changed, 11 insertions, 17 deletions
diff --git a/source/n/alpine/alpine.SlackBuild b/source/n/alpine/alpine.SlackBuild
index 1dd64e6a6..07961ff2c 100755
--- a/source/n/alpine/alpine.SlackBuild
+++ b/source/n/alpine/alpine.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, 2007, 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2010, 2012 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,9 +22,9 @@
PKGNAM=alpine
-VERSION=${VERSION:-2.00}
-ALPINEBUILD=${ALPINEBUILD:-3}
-IMAPDBUILD=${IMAPDBUILD:-2}
+VERSION=${VERSION:-2.02}
+ALPINEBUILD=${ALPINEBUILD:-1}
+IMAPDBUILD=${IMAPDBUILD:-1}
PINEPGP=${PINEPGP:-0.18.0}
# Automatically determine the architecture we're building on:
@@ -37,8 +37,8 @@ if [ -z "$ARCH" ]; then
esac
fi
-# There are reports that > 1 won't work here:
-NUMJOBS=${NUMJOBS:-" -j1 "}
+# We don't use this below as it breaks the build.
+NUMJOBS=${NUMJOBS:-" -j6 "}
CWD=$(pwd)
TMP=${TMP:-/tmp}
@@ -55,9 +55,9 @@ elif [ "$ARCH" = "x86_64" ]; then
fi
cd $TMP
-rm -rf ${PKGNAM}-${VERSION}
-tar xvf $CWD/${PKGNAM}-$VERSION.tar.bz2 || exit 1
-cd ${PKGNAM}-$VERSION
+rm -rf re-alpine-${VERSION}
+tar xvf $CWD/re-alpine-$VERSION.tar.?z* || exit 1
+cd re-alpine-$VERSION
# Make sure ownerships and permissions are sane:
chown -R root:root .
@@ -86,17 +86,12 @@ CFLAGS="$SLKCFLAGS" \
--program-suffix= \
--build=$ARCH-slackware-linux
-# This seems to ignore sysconfdir and libdir, so it's pretty useless to try them.
-# Brute-force it.
-# Eric says: no! Use configure parameters.
-#zcat $CWD/alpine.config.h.diff.gz | patch -p1 --verbose || exit 1
-
# Correct paths and programs in tech-notes.txt:
zcat $CWD/alpine.tech-notes.txt.diff.gz | patch -p1 --verbose || exit 1
# Build and install:
# Since we build non-compliant to RFC3501 we have to answer 'y' half-way:
-echo y | make $NUMJOBS EXTRACFLAGS="-fPIC" SSLTYPE=unix || exit 1
+echo y | make EXTRACFLAGS="-fPIC" SSLTYPE=unix || exit 1
make install SSLTYPE=unix DESTDIR=$PKG || exit 1
@@ -171,11 +166,10 @@ PKG2=/tmp/package-imapd
cd $TMP
rm -rf $PKG2
mkdir -p $PKG2
-cd ${PKGNAM}-$VERSION/imap
+cd re-alpine-$VERSION/imap
mkdir -p $PKG2/usr/doc/imapd-$VERSION
cp -a \
CONTENTS LICENSE.txt NOTICE SUPPORT \
- imap/docs/md5.txt \
$PKG2/usr/doc/imapd-$VERSION
cat << EOF > $PKG2/usr/doc/imapd-$VERSION/additional-imap-documentation
Additional documentation for imapd may be found in the alpine